package krusty;

public class Recipe {
    public String name;
    public Ingredient ingredients[];

    public Recipe(String name, Ingredient[] ingredients) {
        this.name = name;
        this.ingredients = ingredients;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(name + ": ");

        for (Ingredient i : ingredients) {
            sb.append(i.toString());
            sb.append(" ");
        }
        return sb.toString();
    }
}